Bug 1202238 - eclipse: Dropin cache not updated completely
Summary: eclipse: Dropin cache not updated completely
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Roland Grunberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 07:58 UTC by Mikolaj Izdebski
Modified: 2016-05-20 17:42 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-05-20 17:42:49 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2015-03-16 07:58:31 UTC
Description of problem:
It looks like Eclipse Mars is caching dropins in ~/.eclipse and not refreshing this cache entirely after dropin change (eg. package update).

Version-Release number of selected component (if applicable):
4.5.0-0.4.git201503030800

Steps to Reproduce:
1. rm -rf ~/.eclipse
2. install eclipse-m2e-core-1.6.0-0.1.fc23.noarch
3. run eclipse -data /tmp/new-workspace
4. close eclipse after it starts
5. update m2e to eclipse-m2e-core-1.6.0-0.2.fc23.noarch
6. re-run eclipse -data /tmp/new-workspace

Actual results:
There are a lot of exceptions printed on stdout, such as:
java.lang.RuntimeException: Unable to aquire PluginConverter service during generation for: /usr/share/eclipse/dropins/m2e-core/eclipse/plugins/org.eclipse.m2e.scm_1.6.0.20150312-2022.jar

These paths are refering to old m2e bundles from 1.6.0-0.1 which were removed during eclipse-m2e-core package update.

Removing ~/.eclipse gets rid of these exceptions, so it looks like old paths are cached there.

M2E works after update, so this is not critical. However accumulating warnings like that clutters Eclipse stdout and makes noticing real problems more difficult.

Comment 1 Roland Grunberg 2015-03-16 14:22:58 UTC
I always thought only p2 repository locations were ever cached (eg. /usr/share/eclipse/dropins/m2e-core), so this still seems worth investigating to see if something has changed. This is likely being triggered by the Reconciler application, which we plan to remove as part of our Mars release in Fedora.

The error itself is not that relevant and could be ignored. Basically the PluginConverter service (PluginConverterImpl) resides in org.eclipse.osgi.compatibility.plugins , which we don't ship. It was a way of recognizing non OSGi bundles or very old-style bundles in the OSGi runtime.

Comment 2 Jan Kurik 2015-07-15 14:24:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Fedora Update System 2016-05-04 20:45:04 UTC
ecj-4.5.2-3.fc24 eclipse-4.6.0-0.5.git201604261105.fc24 eclipse-cdt-9.0.0-0.3.git0b93e81.fc24 eclipse-e4-importer-0.2.0-0.1.git8af671a.fc24 eclipse-ecf-3.13.1-1.fc24 eclipse-eclemma-2.3.3-2.fc24 eclipse-egit-4.3.0-2.fc24 eclipse-jgit-4.3.0-2.fc24 eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24 eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24 eclipse-photran-9.1.0-3.fc24 eclipse-ptp-9.0.2-2.fc24 eclipse-pydev-4.6.0-1.fc24 eclipse-swtbot-2.4.0-2.fc24 tycho-0.25.0-3.fc24 tycho-extras-0.25.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa301aab71

Comment 4 Fedora Update System 2016-05-05 09:54:48 UTC
ecj-4.5.2-3.fc24, eclipse-4.6.0-0.5.git201604261105.fc24, eclipse-cdt-9.0.0-0.3.git0b93e81.fc24, eclipse-e4-importer-0.2.0-0.1.git8af671a.fc24, eclipse-ecf-3.13.1-1.fc24, eclipse-eclemma-2.3.3-2.fc24, eclipse-egit-4.3.0-2.fc24, eclipse-jgit-4.3.0-2.fc24, eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24, eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24, eclipse-photran-9.1.0-3.fc24, eclipse-ptp-9.0.2-2.fc24, eclipse-pydev-4.6.0-1.fc24, eclipse-swtbot-2.4.0-2.fc24, tycho-0.25.0-3.fc24, tycho-extras-0.25.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa301aab71

Comment 5 Fedora Update System 2016-05-06 10:04:08 UTC
ecj-4.5.2-3.fc24 eclipse-4.6.0-0.5.git201604261105.fc24 eclipse-cdt-9.0.0-0.3.git0b93e81.fc24 eclipse-e4-importer-0.2.0-0.1.git8af671a.fc24 eclipse-ecf-3.13.1-1.fc24 eclipse-eclemma-2.3.3-2.fc24 eclipse-egit-4.3.0-2.fc24 eclipse-fedorapackager-0.6.0-0.1.gitb0ca8af.fc24 eclipse-jgit-4.3.0-2.fc24 eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24 eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24 eclipse-photran-9.1.0-3.fc24 eclipse-ptp-9.0.2-2.fc24 eclipse-pydev-4.6.0-1.fc24 eclipse-swtbot-2.4.0-2.fc24 tycho-0.25.0-3.fc24 tycho-extras-0.25.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa301aab71

Comment 6 Fedora Update System 2016-05-07 17:27:28 UTC
ecj-4.5.2-3.fc24, eclipse-4.6.0-0.5.git201604261105.fc24, eclipse-cdt-9.0.0-0.3.git0b93e81.fc24, eclipse-e4-importer-0.2.0-0.1.git8af671a.fc24, eclipse-ecf-3.13.1-1.fc24, eclipse-eclemma-2.3.3-2.fc24, eclipse-egit-4.3.0-2.fc24, eclipse-fedorapackager-0.6.0-0.1.gitb0ca8af.fc24, eclipse-jgit-4.3.0-2.fc24, eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24, eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24, eclipse-photran-9.1.0-3.fc24, eclipse-ptp-9.0.2-2.fc24, eclipse-pydev-4.6.0-1.fc24, eclipse-swtbot-2.4.0-2.fc24, tycho-0.25.0-3.fc24, tycho-extras-0.25.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa301aab71

Comment 7 Fedora Update System 2016-05-12 07:42:58 UTC
ecj-4.5.2-3.fc24 eclipse-4.6.0-0.6.git201605092000.fc24 eclipse-cdt-9.0.0-0.3.git0b93e81.fc24 eclipse-e4-importer-0.2.0-0.1.git8af671a.fc24 eclipse-ecf-3.13.1-1.fc24 eclipse-eclemma-2.3.3-2.fc24 eclipse-egit-4.3.0-2.fc24 eclipse-emf-2.12.0-0.1.git2021583.fc24 eclipse-fedorapackager-0.6.0-0.1.gitb0ca8af.fc24 eclipse-jgit-4.3.0-2.fc24 eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24 eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24 eclipse-photran-9.1.0-3.fc24 eclipse-ptp-9.0.2-2.fc24 eclipse-pydev-4.6.0-1.fc24 eclipse-swtbot-2.4.0-2.fc24 tycho-0.25.0-3.fc24 tycho-extras-0.25.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa301aab71

Comment 8 Fedora Update System 2016-05-15 06:58:03 UTC
ecj-4.5.2-3.fc24, eclipse-4.6.0-0.6.git201605092000.fc24, eclipse-cdt-9.0.0-0.3.git0b93e81.fc24, eclipse-e4-importer-0.2.0-0.2.gitb33919c.fc24, eclipse-ecf-3.13.1-1.fc24, eclipse-eclemma-2.3.3-2.fc24, eclipse-egit-4.3.0-2.fc24, eclipse-emf-2.12.0-0.1.git2021583.fc24, eclipse-fedorapackager-0.6.0-0.1.gitb0ca8af.fc24, eclipse-jgit-4.3.0-2.fc24, eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24, eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24, eclipse-photran-9.1.0-3.fc24, eclipse-ptp-9.0.2-2.fc24, eclipse-pydev-4.6.0-1.fc24, eclipse-swtbot-2.4.0-2.fc24, tycho-0.25.0-3.fc24, tycho-extras-0.25.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa301aab71

Comment 9 Fedora Update System 2016-05-20 17:42:38 UTC
ecj-4.5.2-3.fc24, eclipse-4.6.0-0.6.git201605092000.fc24, eclipse-cdt-9.0.0-0.3.git0b93e81.fc24, eclipse-e4-importer-0.2.0-0.2.gitb33919c.fc24, eclipse-ecf-3.13.1-1.fc24, eclipse-eclemma-2.3.3-2.fc24, eclipse-egit-4.3.0-2.fc24, eclipse-emf-2.12.0-0.1.git2021583.fc24, eclipse-fedorapackager-0.6.0-0.1.gitb0ca8af.fc24, eclipse-jgit-4.3.0-2.fc24, eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24, eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24, eclipse-photran-9.1.0-3.fc24, eclipse-ptp-9.0.2-2.fc24, eclipse-pydev-4.6.0-1.fc24, eclipse-swtbot-2.4.0-2.fc24, tycho-0.25.0-3.fc24, tycho-extras-0.25.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.